/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.jcg;

import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.ControllerAdvice;
import org.springframework.web.bind.annotation.ExceptionHandler;

/**
 *
 * @author omozegieaziegbe
 */
@ControllerAdvice
public class CustomExceptionHandler {

    @ExceptionHandler(CustomHttpException.class)
    public ResponseEntity<String> handleCustomException(CustomHttpException ex) {
        return new ResponseEntity<>(ex.getMessage(), ex.getStatusCode());
    }
}