/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.jcg;

import org.springframework.http.HttpStatusCode;

/**
 *
 * @author omozegieaziegbe
 */
public class CustomHttpException extends RuntimeException {
    private final HttpStatusCode statusCode;

    public CustomHttpException(String message, HttpStatusCode statusCode) {
        super(message);
        this.statusCode = statusCode;
    }

    public HttpStatusCode getStatusCode() {
        return statusCode;
    }
}