/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.jcg;

import org.springframework.http.HttpStatusCode;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 *
 * @author omozegieaziegbe
 */
@RestController
public class ResponseController {

    @GetMapping("/check-status")
    public ResponseEntity<String> handleSuccessResponse() {
        HttpStatusCode statusCode = HttpStatusCode.valueOf(200);
        if (statusCode.is2xxSuccessful()) {
            return new ResponseEntity<>("Request successful", statusCode);
        }
        return new ResponseEntity<>("Request not successful", HttpStatusCode.valueOf(500));
    }

    @GetMapping("/redirect")
    public ResponseEntity<String> handleRedirectResponse() {
        HttpStatusCode statusCode = HttpStatusCode.valueOf(302);
        return new ResponseEntity<>("Redirecting to another resource", statusCode);
    }
   
}
